Subject: Re: [PATCH v4] compat: Fix read() of 2GB and more on Mac OS X

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Aug 2013 10:24:37 -0700

Steffen Prohaska <[email-masked]> writes:

> I'm happy to rework it again towards your suggestion.  I would also remove
> the compat wrapper for write().  But I got a bit tired.  I'd appreciate if
> I received more indication whether a version without compat wrappers would
> be accepted.

I think it is a reasonable way forward to remove the writer side
wrapper and doing large IO in reasonably big (but small enough not to
trigger MacOS X limitations) chunks in both read/write direction.

Linus, thanks for a dose of sanity.